# $Revision: 1.20.2.1 $, $Date: 2007/03/12 00:57:49 $
Summary:	sap - English-Polish and vice versa dictionary for dictd
Summary(pl):	sap - sownik angielsko-polski i odwrotnie dla dictd
Name:		dict-sap
Version:	0.1b_0.1
Release:	5
License:	GPL
Group:		Applications/Dictionaries
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	7d53db1c78a0662d1ebb10b0912caa9a
URL:		http://www.dict.org/
BuildRequires:	%{_bindir}/perl
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dictzip
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{_sysconfdir}/dictd
Requires:	dict
Requires:	dictd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains sap - English-Polish and Polish-English
dictionary version 0.1b, formatted for use by the DICT server.

%description -l pl
Ten pakiet zawiera sap - sownik angielsko-polski i polsko-angielski
sformatowane do uycia z serwerem sownika dictd.

%prep
%setup -q

%build
%{__autoconf}
cp -f /usr/share/automake/install-sh .
cp -f /usr/share/automake/config.sub .
%configure
%{__make} db

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd,%{_sysconfdir}/dictd,%{_bindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for dictname in sap_en-pl sap_pl-en; do
	dictprefix=%{_datadir}/dictd/$dictname
	echo "# sap dictionary, part $dictname
database $dictname {
	data  \"$dictprefix.dict.dz\"
	index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/$dictname.dictconf
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q dictd restart

%postun
if [ "$1" = 0 ]; then
	%service -q dictd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dictd/sap_*.dictconf
%attr(755,root,root) %{_bindir}/sapdict
%{_datadir}/dictd/sap_*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dict-sap.spec,v $
Revision 1.20.2.1  2007/03/12 00:57:49  glen
- HEAD merge

Revision 1.20  2004/08/19 15:51:15  averne
- rel++

Revision 1.19  2003/11/23 03:03:48  undefine
- release 2 to rebuild with ac

Revision 1.18  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.17  2003/05/28 12:58:50  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:46:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/05/04 15:46:12  radek
- do not BR: perl

Revision 1.14  2003/01/13 14:50:05  qboosh
- BR: automake

Revision 1.13  2003/01/12 17:35:59  radek
- added copying config.sub and install-sh from automake (athlon problems)

Revision 1.12  2002/12/28 11:53:50  gotar
- cosmetics

Revision 1.11  2002/11/17 13:43:44  gotar
- cosmetics

Revision 1.10  2002/09/09 14:32:24  gotar
- cosmetics,
- unified config entries and dict-* specs appearance,
- added URL to dict project.

Revision 1.9  2002/05/21 23:12:55  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/04/25 16:11:49  arturs
- fixed a small typo

Revision 1.7  2002/02/23 01:47:49  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:12:42  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/21 14:02:17  qboosh
- adapterized, pl translations

Revision 1.3  2001/10/23 15:28:37  undefine
- ac stuff, removed noarch.

Revision 1.2  2001/08/22 17:30:30  filon
- removed paths from requires

Revision 1.1  2000/08/14 09:25:20  mis
- new from scratch
